Search Articles
Search KB articles using full-text search with ranked results and snippets.
Search KB articles using full-text search with ranked results and snippets.
Query Parameters
q*Q
Length
2 <= length <= 500language?Language
Default
"english"status?string|null
collection_id?string|null
limit?Limit
Default
20Range
1 <= value <= 100offset?Offset
Default
0Range
0 <= valueResponse Body
application/json
application/json
curl -X GET "https://loading/api/v2/kb/search?q=string"{
"items": [
{
"collection_id": "string",
"collection_name": "string",
"helpful_count": 0,
"id": "string",
"not_helpful_count": 0,
"relevance_score": 0,
"slug": "string",
"snippet": "string",
"status": "string",
"title": "string",
"updated_at": "string",
"view_count": 0
}
],
"language": "string",
"query": "string",
"total": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}